# Maintainer: Deron Parker <WkdWeWIyNHVaR1YyUUhCaGNtdGxjbk11WTJNSwo=> # base64 encoded twice

# some steps sourced from https://www.fosslinux.com/2484/how-to-install-virtual-machine-manager-kvm-in-manjaro-and-arch-linux.htm
pkgname=qemu-kvm-virt-manager-bundle
pkgver=1
pkgrel=6
pkgdesc='bundle of what you need to run virt-manager with QEMU/KVM'
arch=(x86_64)
depends=(libvirt virt-manager qemu-full vde2 iptables-nft dnsmasq bridge-utils openbsd-netcat)
provides=($pkgname)
conflicts=($pkgname)

warn() {
	echo -e " \033[41m   WARN   \e[0m $1"
}

info() {
	echo -e " \033[44m   INFO   \e[0m $1"
}

prepare() {
	if ! lscpu | grep -E "Virtualization:.*(VT-x|AMD-V)"; then
		warn "lscpu does not report known virtualization support"
	fi
	if ! zgrep -E "CONFIG_KVM_(INTEL|AMD)=(m|y)" /proc/config.gz; then
		warn "/proc/config.gz does not indicate kernel KVM support"
	fi
}

package() {
	info "your user need to be added to the libvirt group, if not already in it"
	info "libvirtd and virtlogd should be running when you are trying to use virt-manager"
	info "a reboot probably is needed if this is the first time installing"
}
